var personalCloudRainIsToggledOn = false;
register("command", function() {
	var RNG = Math.random();
	if (personalCloudRainIsToggledOn) {
		personalCloudRainIsToggledOn = false;
		if (0.666666 <= RNG) {
			ChatLib.chat('&o"Rain, rain go away,');
			ChatLib.chat('&oCome again another day."');
		}
		if (0.333333 <= RNG && RNG < 0.666666) {
			ChatLib.chat("&oThings are looking up! &oYou no longer have a raining &ocloud &ofollowing &oyou everywhere.");
		}
		if (0 <= RNG && RNG < 0.333333) {
			ChatLib.chat("&oThe weatherman forecast clear skies.");
		}
	} else {
		if (Client.getMinecraft().field_71474_y.field_74362_aa === 0) {
			personalCloudRainIsToggledOn = true;
			if (0.75 <= RNG) {
				ChatLib.chat('&o"The day is cold, and dark, and dreary;');
				ChatLib.chat('&oIt rains, and the wind is never weary;');
				ChatLib.chat('&oThe vine still clings to the mouldering wall,');
				ChatLib.chat('&oBut at every gust the dead leaves fall,');
				ChatLib.chat('&oAnd the day is dark and dreary."');          //First verse of "The Rainy Day" by Henry Wadsworth Longfellow (1807-82)
			}
			if (0.50 <= RNG && RNG < 0.75) {
				ChatLib.chat('&o"My life is cold, and dark, and dreary;');
				ChatLib.chat('&oIt rains, and the wind is never weary;');
				ChatLib.chat('&oMy thoughts still cling to the mouldering Past,');
				ChatLib.chat('&oBut the hopes of youth fall thick in the blast,');
				ChatLib.chat('&oAnd the days are dark and dreary."');        //Second verse of "The Rainy Day" by Henry Wadsworth Longfellow (1807-82)
			}
			if (0.25 <= RNG && RNG < 0.50) {
				ChatLib.chat("&oThings aren't looking good... &oYou can sense a rainy &ocloud &oforming above &oyour head.");
			}
			if (0 <= RNG && RNG < 0.25) {
				ChatLib.chat("&oThe weatherman forecast rain.");
			}
		}
		else {
			ChatLib.chat("Please turn your Particle settings to \"ALL\" and try again.");
			personalCloudRainIsToggledOn = false;
		}
	}
}).setName("raincloud"); 

register("step", function cloud() {
	if (personalCloudRainIsToggledOn) {
		if (Client.getMinecraft().field_71474_y.field_74362_aa === 0) {
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX(), Player.getY() + 2.5, Player.getZ() , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()+0.5, Player.getY() + 2.5, Player.getZ() , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()-0.5, Player.getY() + 2.5, Player.getZ() , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX(), Player.getY() + 2.5, Player.getZ()+0.5 , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX(), Player.getY() + 2.5, Player.getZ()-0.5 , 0, 0, 0).setMaxAge(15);
			
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()+0.5, Player.getY() + 2.5, Player.getZ()+0.5 , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()-0.5, Player.getY() + 2.5, Player.getZ()-0.5 , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()+0.5, Player.getY() + 2.5, Player.getZ()+0.5 , 0, 0, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX()-0.5, Player.getY() + 2.5, Player.getZ()-0.5 , 0, 0, 0).setMaxAge(15);
			
			World.particle.spawnParticle(World.particle.getParticleNames()[29], Player.getX(), Player.getY() + 2.85, Player.getZ() , 0, 0, 0).setMaxAge(15);
		}
	}
}).setFps(7);

register("step", function rain() {
	if (personalCloudRainIsToggledOn) {
		if (Client.getMinecraft().field_71474_y.field_74362_aa === 0) {
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			World.particle.spawnParticle(World.particle.getParticleNames()[6], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY() + 2.3, Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
		}
	}		
}).setFps(7);

register("step", function splash() {
	if (personalCloudRainIsToggledOn) {
		if (Client.getMinecraft().field_71474_y.field_74362_aa === 0) {
			if (Player.isFlying() === false) {
				World.particle.spawnParticle(World.particle.getParticleNames()[5], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY(), Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
				World.particle.spawnParticle(World.particle.getParticleNames()[5], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY(), Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
				World.particle.spawnParticle(World.particle.getParticleNames()[5], Player.getX()+(Math.floor(Math.random() * 6)/10), Player.getY(), Player.getZ()-(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
				World.particle.spawnParticle(World.particle.getParticleNames()[5], Player.getX()-(Math.floor(Math.random() * 6)/10), Player.getY(), Player.getZ()+(Math.floor(Math.random() * 6)/10) , 0, -0.2, 0).setMaxAge(15);
			}
		}
	}
}).setFps(3);